* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2019-11-06 23:24 Horea Christian
0 siblings, 0 replies; 8+ messages in thread
From: Horea Christian @ 2019-11-06 23:24 UTC (permalink / raw
To: gentoo-commits
commit: 616cb28e0603171fbcbeaa3dcd51017a9546c5f0
Author: Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Wed Nov 6 23:23:45 2019 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed Nov 6 23:23:45 2019 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=616cb28e
dev-python/trimesh: version bump 3.3.5
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Horea Christian <horea.christ <AT> yandex.com>
dev-python/trimesh/metadata.xml | 3 ++
dev-python/trimesh/trimesh-3.3.5.ebuild | 58 +++++++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-python/trimesh/metadata.xml b/dev-python/trimesh/metadata.xml
index 7e0eebddb..c5933785a 100644
--- a/dev-python/trimesh/metadata.xml
+++ b/dev-python/trimesh/metadata.xml
@@ -16,4 +16,7 @@
allows for easy manipulation and analysis, in the style of the Polygon
object in the Shapely library.
</longdescription>
+ <use>
+ <flag name="extra">Extra functionality for advanced mesh preparation</flag>
+ </use>
</pkgmetadata>
diff --git a/dev-python/trimesh/trimesh-3.3.5.ebuild b/dev-python/trimesh/trimesh-3.3.5.ebuild
new file mode 100644
index 000000000..a63574457
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.3.5.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for loading and using triangular meshes."
+HOMEPAGE="https://trimsh.org/"
+SRC_URI="https://github.com/mikedh/trimesh/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test extra"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ )
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ extra? (
+ dev-libs/xxhash
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ sci-libs/scikits_image[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ sci-libs/Shapely[${PYTHON_USEDEP}]
+ sci-libs/Rtree[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ if use extra; then
+ pytest -vv || die
+ else
+ cd tests || die
+ pytest -p no:warnings $(grep -v '^#' basic.list) || die
+ fi
+}
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2020-01-17 16:30 Horea Christian
0 siblings, 0 replies; 8+ messages in thread
From: Horea Christian @ 2020-01-17 16:30 UTC (permalink / raw
To: gentoo-commits
commit: 31431492d724966d616e6754df158b723c54cf35
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Fri Jan 17 16:30:17 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri Jan 17 16:30:17 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=31431492
dev-python/trimesh: version bump 3.5.14 and
version and PYTHON_COMPAT bump and deprecation
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
dev-python/trimesh/trimesh-2.34.3.ebuild | 49 ----------------------
dev-python/trimesh/trimesh-3.3.5.ebuild | 4 +-
...{trimesh-3.3.5.ebuild => trimesh-3.5.14.ebuild} | 5 +--
3 files changed, 4 insertions(+), 54 deletions(-)
diff --git a/dev-python/trimesh/trimesh-2.34.3.ebuild b/dev-python/trimesh/trimesh-2.34.3.ebuild
deleted file mode 100644
index 5b7e69232..000000000
--- a/dev-python/trimesh/trimesh-2.34.3.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library for loading and using triangular meshes."
-HOMEPAGE="https://trimsh.org/"
-SRC_URI="https://github.com/mikedh/trimesh/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-DEPEND="
- test? (
- ${RDEPEND}
- dev-python/pytest[${PYTHON_USEDEP}]
- )
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
- dev-python/networkx[${PYTHON_USEDEP}]
-"
-RDEPEND="
- dev-libs/xxhash
- dev-python/colorlog[${PYTHON_USEDEP}]
- dev-python/deprecation[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/msgpack[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pyglet[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/svg-path[${PYTHON_USEDEP}]
- dev-python/sympy[${PYTHON_USEDEP}]
- =dev-python/six-1*[${PYTHON_USEDEP}]
- sci-libs/Shapely[${PYTHON_USEDEP}]
- sci-libs/Rtree[${PYTHON_USEDEP}]
-"
-
-PATCHES=( "${FILESDIR}/${P}-suppress-xvfb-test.patch" )
-
-python_test() {
- pytest -vv || die
-}
diff --git a/dev-python/trimesh/trimesh-3.3.5.ebuild b/dev-python/trimesh/trimesh-3.3.5.ebuild
index a63574457..224b2f506 100644
--- a/dev-python/trimesh/trimesh-3.3.5.ebuild
+++ b/dev-python/trimesh/trimesh-3.3.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python3_6 )
inherit distutils-r1
diff --git a/dev-python/trimesh/trimesh-3.3.5.ebuild b/dev-python/trimesh/trimesh-3.5.14.ebuild
similarity index 91%
copy from dev-python/trimesh/trimesh-3.3.5.ebuild
copy to dev-python/trimesh/trimesh-3.5.14.ebuild
index a63574457..239a7defa 100644
--- a/dev-python/trimesh/trimesh-3.3.5.ebuild
+++ b/dev-python/trimesh/trimesh-3.5.14.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1
@@ -21,7 +21,6 @@ DEPEND="
test? (
${RDEPEND}
dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-cov[${PYTHON_USEDEP}]
)
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2020-03-21 18:57 Horea Christian
0 siblings, 0 replies; 8+ messages in thread
From: Horea Christian @ 2020-03-21 18:57 UTC (permalink / raw
To: gentoo-commits
commit: e1597c95dffe6ce2944fc616da7d444d6d4f565a
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Sat Mar 21 18:56:58 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sat Mar 21 18:57:29 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=e1597c95
dev-python/trimesh: version bump 3.6.13
Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
dev-python/trimesh/trimesh-3.6.13.ebuild | 57 ++++++++++++++++++++++++++++++++
1 file changed, 57 insertions(+)
diff --git a/dev-python/trimesh/trimesh-3.6.13.ebuild b/dev-python/trimesh/trimesh-3.6.13.ebuild
new file mode 100644
index 000000000..239a7defa
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.6.13.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for loading and using triangular meshes."
+HOMEPAGE="https://trimsh.org/"
+SRC_URI="https://github.com/mikedh/trimesh/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test extra"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ extra? (
+ dev-libs/xxhash
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ sci-libs/scikits_image[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ sci-libs/Shapely[${PYTHON_USEDEP}]
+ sci-libs/Rtree[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ if use extra; then
+ pytest -vv || die
+ else
+ cd tests || die
+ pytest -p no:warnings $(grep -v '^#' basic.list) || die
+ fi
+}
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2020-10-19 22:07 Horea Christian
0 siblings, 0 replies; 8+ messages in thread
From: Horea Christian @ 2020-10-19 22:07 UTC (permalink / raw
To: gentoo-commits
commit: d8b1ba786b88efb643be6192b120b2b9f863659d
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon Oct 19 22:05:00 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Oct 19 22:05:00 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=d8b1ba78
dev-python/trimesh: updated rtree and shapely dep following rename
https://gitweb.gentoo.org/repo/gentoo.git/commit/profiles/arch.list?id=ead3dbad2e9beb6bc3ecde96730c931beb79ebb5
https://gitweb.gentoo.org/repo/gentoo.git/commit/profiles/arch.list?id=f15208d661780f73287e71d2f22b3b4f5f699bf1
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
dev-python/trimesh/trimesh-3.5.14.ebuild | 4 ++--
dev-python/trimesh/trimesh-3.6.13.ebuild | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-python/trimesh/trimesh-3.5.14.ebuild b/dev-python/trimesh/trimesh-3.5.14.ebuild
index 2ef0e3009..ec79e5f63 100644
--- a/dev-python/trimesh/trimesh-3.5.14.ebuild
+++ b/dev-python/trimesh/trimesh-3.5.14.ebuild
@@ -42,8 +42,8 @@ RDEPEND="
dev-python/sympy[${PYTHON_USEDEP}]
sci-libs/scikits_image[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
- sci-libs/Shapely[${PYTHON_USEDEP}]
- sci-libs/Rtree[${PYTHON_USEDEP}]
+ sci-libs/shapely[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/trimesh/trimesh-3.6.13.ebuild b/dev-python/trimesh/trimesh-3.6.13.ebuild
index 2ef0e3009..ec79e5f63 100644
--- a/dev-python/trimesh/trimesh-3.6.13.ebuild
+++ b/dev-python/trimesh/trimesh-3.6.13.ebuild
@@ -42,8 +42,8 @@ RDEPEND="
dev-python/sympy[${PYTHON_USEDEP}]
sci-libs/scikits_image[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
- sci-libs/Shapely[${PYTHON_USEDEP}]
- sci-libs/Rtree[${PYTHON_USEDEP}]
+ sci-libs/shapely[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
)
"
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2020-12-23 8:38 Horea Christian
0 siblings, 0 replies; 8+ messages in thread
From: Horea Christian @ 2020-12-23 8:38 UTC (permalink / raw
To: gentoo-commits
commit: 39ce4617fad71e90aa5633a5d61c52738aae57f9
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Wed Dec 23 08:36:54 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed Dec 23 08:36:54 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=39ce4617
dev-python/trimesh: updated PYTHON_COMPAT
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
dev-python/trimesh/trimesh-3.5.14.ebuild | 2 +-
dev-python/trimesh/trimesh-3.6.13.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-python/trimesh/trimesh-3.5.14.ebuild b/dev-python/trimesh/trimesh-3.5.14.ebuild
index 28732c0cc..464973430 100644
--- a/dev-python/trimesh/trimesh-3.5.14.ebuild
+++ b/dev-python/trimesh/trimesh-3.5.14.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1
diff --git a/dev-python/trimesh/trimesh-3.6.13.ebuild b/dev-python/trimesh/trimesh-3.6.13.ebuild
index 28732c0cc..464973430 100644
--- a/dev-python/trimesh/trimesh-3.6.13.ebuild
+++ b/dev-python/trimesh/trimesh-3.6.13.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7,8} )
inherit distutils-r1
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2021-01-20 10:06 Andrew Ammerlaan
0 siblings, 0 replies; 8+ messages in thread
From: Andrew Ammerlaan @ 2021-01-20 10:06 UTC (permalink / raw
To: gentoo-commits
commit: f1b3b14513457e59edf53d9a715e8ad92484a1c2
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jan 20 10:06:14 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Jan 20 10:06:14 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=f1b3b145
dev-python/trimesh: version bump, bump py targets
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/trimesh/trimesh-3.6.13.ebuild | 57 ----------------------
...{trimesh-3.5.14.ebuild => trimesh-3.9.1.ebuild} | 19 +++-----
2 files changed, 7 insertions(+), 69 deletions(-)
diff --git a/dev-python/trimesh/trimesh-3.6.13.ebuild b/dev-python/trimesh/trimesh-3.6.13.ebuild
deleted file mode 100644
index 464973430..000000000
--- a/dev-python/trimesh/trimesh-3.6.13.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library for loading and using triangular meshes."
-HOMEPAGE="https://trimsh.org/"
-SRC_URI="https://github.com/mikedh/trimesh/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test extra"
-RESTRICT="!test? ( test )"
-
-DEPEND="
- test? (
- ${RDEPEND}
- dev-python/pytest[${PYTHON_USEDEP}]
- )
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
-"
-RDEPEND="
- extra? (
- dev-libs/xxhash
- dev-python/colorlog[${PYTHON_USEDEP}]
- dev-python/chardet[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/msgpack[${PYTHON_USEDEP}]
- dev-python/networkx[${PYTHON_USEDEP}]
- dev-python/pillow[${PYTHON_USEDEP}]
- dev-python/pyglet[${PYTHON_USEDEP}]
- dev-python/pycollada[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/svg-path[${PYTHON_USEDEP}]
- dev-python/sympy[${PYTHON_USEDEP}]
- sci-libs/scikit-image[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
- sci-libs/shapely[${PYTHON_USEDEP}]
- sci-libs/rtree[${PYTHON_USEDEP}]
- )
-"
-
-python_test() {
- if use extra; then
- pytest -vv || die
- else
- cd tests || die
- pytest -p no:warnings $(grep -v '^#' basic.list) || die
- fi
-}
diff --git a/dev-python/trimesh/trimesh-3.5.14.ebuild b/dev-python/trimesh/trimesh-3.9.1.ebuild
similarity index 83%
rename from dev-python/trimesh/trimesh-3.5.14.ebuild
rename to dev-python/trimesh/trimesh-3.9.1.ebuild
index 464973430..d1dc5a9ae 100644
--- a/dev-python/trimesh/trimesh-3.5.14.ebuild
+++ b/dev-python/trimesh/trimesh-3.9.1.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
@@ -14,17 +15,9 @@ SRC_URI="https://github.com/mikedh/trimesh/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="test extra"
-RESTRICT="!test? ( test )"
-
-DEPEND="
- test? (
- ${RDEPEND}
- dev-python/pytest[${PYTHON_USEDEP}]
- )
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
-"
+IUSE="extra"
+
+DEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
RDEPEND="
extra? (
dev-libs/xxhash
@@ -47,6 +40,8 @@ RDEPEND="
)
"
+distutils_enable_tests pytest
+
python_test() {
if use extra; then
pytest -vv || die
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2021-09-30 10:56 Horea Christian
0 siblings, 0 replies; 8+ messages in thread
From: Horea Christian @ 2021-09-30 10:56 UTC (permalink / raw
To: gentoo-commits
commit: 7932bed363982eb70bd6db760968f3949c10cd5d
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Thu Sep 30 10:56:01 2021 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Thu Sep 30 10:56:01 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=7932bed3
dev-python/trimesh: PYTHON_COMPAT bump
Package-Manager: Portage-3.0.23, Repoman-3.0.3
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
dev-python/trimesh/trimesh-3.9.1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/trimesh/trimesh-3.9.1.ebuild b/dev-python/trimesh/trimesh-3.9.1.ebuild
index d1dc5a9ae..5376fadd6 100644
--- a/dev-python/trimesh/trimesh-3.9.1.ebuild
+++ b/dev-python/trimesh/trimesh-3.9.1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
^ permalink raw reply related [flat|nested] 8+ messages in thread
* [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/
@ 2022-01-14 20:36 Andrew Ammerlaan
0 siblings, 0 replies; 8+ messages in thread
From: Andrew Ammerlaan @ 2022-01-14 20:36 UTC (permalink / raw
To: gentoo-commits
commit: 168124564fa2dfd3bcfe248ac82925b9f752a8f7
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 14 19:31:47 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Jan 14 19:31:47 2022 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=16812456
dev-python/trimesh: add version 3.9.42
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
dev-python/trimesh/trimesh-3.9.42.ebuild | 65 ++++++++++++++++++++++++++++++++
1 file changed, 65 insertions(+)
diff --git a/dev-python/trimesh/trimesh-3.9.42.ebuild b/dev-python/trimesh/trimesh-3.9.42.ebuild
new file mode 100644
index 000000000..3ec15c516
--- /dev/null
+++ b/dev-python/trimesh/trimesh-3.9.42.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for loading and using triangular meshes."
+HOMEPAGE="https://trimsh.org/"
+SRC_URI="https://github.com/mikedh/trimesh/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="extra"
+
+DEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+RDEPEND="
+ extra? (
+ dev-libs/xxhash
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/msgpack[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ sci-libs/scikit-image[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ sci-libs/shapely[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# TODO: package pypandoc
+# distutils_enable_sphinx docs \
+# dev-python/sphinx_rtd_theme \
+# dev-python/numpy \
+# dev-python/scipy \
+# dev-python/networkx \
+# dev-python/recommonmark \
+# dev-python/jupyter \
+# dev-python/pyopenssl \
+# dev-python/autodocsumm \
+# dev-python/jinja2 \
+# dev-python/matplotlib
+
+python_test() {
+ if use extra; then
+ epytest
+ else
+ cd tests || die
+ epytest -p no:warnings $(grep -v '^#' basic.list)
+ fi
+}
^ permalink raw reply related [flat|nested] 8+ messages in thread
end of thread, other threads:[~2022-01-14 20:36 UTC | newest]
Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-01-14 20:36 [gentoo-commits] proj/sci:master commit in: dev-python/trimesh/ Andrew Ammerlaan
-- strict thread matches above, loose matches on Subject: below --
2021-09-30 10:56 Horea Christian
2021-01-20 10:06 Andrew Ammerlaan
2020-12-23 8:38 Horea Christian
2020-10-19 22:07 Horea Christian
2020-03-21 18:57 Horea Christian
2020-01-17 16:30 Horea Christian
2019-11-06 23:24 Horea Christian
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox